Package picard.arrays.illumina

# Class IlluminaBPMFile

java.lang.Object
picard.arrays.illumina.InfiniumDataFile
picard.arrays.illumina.IlluminaBPMFile

All Implemented Interfaces:
  `AutoCloseable`

public class IlluminaBPMFile extends InfiniumDataFile implements AutoCloseable
A class to parse the contents of an Illumina Bead Pool Manifest (BPM) file A BPM file contains metadata (including the alleles, mapping and normalization information) on an Illumina Genotyping Array Each type of genotyping array has a specific BPM .

## Field Summary

### Fields inherited from class picard.arrays.illumina.InfiniumDataFile

`MAX_UNSIGNED_SHORT`

## Constructor Summary

Constructors
Constructor
Description
`IlluminaBPMFile(File bpmFile)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`int[]`
`getAllNormalizationIds()`
`String`
`getControlConfig()`
`IlluminaBPMLocusEntry[]`
`getLocusEntries()`
`String`
`getManifestName()`
`Integer[]`
`getUniqueNormalizationIds()`

### Methods inherited from class picard.arrays.illumina.InfiniumDataFile

`byteArrayToCharArray, byteArrayToFloat, byteArrayToInt, floatToByteArray, getIdentifier, setIdentifier, shortToByteArray`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IlluminaBPMFile

public IlluminaBPMFile(File bpmFile) throws IOException

Throws:
  `IOException`

## Method Details

### close

public void close() throws IOException

Specified by:
  `close` in interface `AutoCloseable`
Throws:
  `IOException`

### getManifestName

public String getManifestName()

### getControlConfig

public String getControlConfig()

### getLocusEntries

public IlluminaBPMLocusEntry[] getLocusEntries()

### getAllNormalizationIds

public int[] getAllNormalizationIds()

### getUniqueNormalizationIds

public Integer[] getUniqueNormalizationIds()